import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import GatekeeperLogoLight from './GatekeeperLogoLight';
import GatekeeperLogoDark from './GatekeeperLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const GatekeeperLogoSvg = forwardRef(function GatekeeperLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(GatekeeperLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(GatekeeperLogoLight, Object.assign({}, props, { ref: ref })));
});
export default GatekeeperLogoSvg;
